Bug 960658 - "Globally uncaught exception" when trying to change EAP 6 server ports
"Globally uncaught exception" when trying to change EAP 6 server ports
Status: CLOSED DUPLICATE of bug 859982
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-07 11:23 EDT by bkramer
Modified: 2013-07-25 19:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 960656
: 960656 (view as bug list)
Environment:
Last Closed: 2013-07-25 19:35:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bkramer 2013-05-07 11:23:57 EDT
Description of problem:
Globally uncaught exception is shown in the JBoss ON UI when trying to change EAP 6 server ports.

Version-Release number of selected component (if applicable):
RHQ 4.4.0

How reproducible:
Always, if we change more then one port in one go (at least in my test). Customer has reported that sometimes they get this message even when they change the value of only one port.

Steps to Reproduce:
1. Login to JON UI.   
2. click on Inventory-> platforms.   
3. Choose one of the platform where EAP 6 servers are discovered and imported. This will bring a right hand side menu targeted to that platform.   
4. Expand on JBOSS AS7 Standalong Servers.   
5. Select one of the server from the list by Clicking on the EAP Server name.   
6. Expand SocketBindingGroups.   
7. click on standard-sockets.   
8. Click on "configuration" tab on right hand side.   
9. Change bindings from "Individual socket bindings" - for instance change ajp from 8070 to 18070 and http from 8080 to 18080
10. This will throw "globally uncaught exception" and show the message on top in "red color" for few seconds. Then it will be moved to message centre.   
11. After this, click on "Save".   
  
Actual results:
Globally Uncaught Exception is shown:

com.google.gwt.event.shared.UmbrellaException:Exception caught: (TypeError) 
 stack: isc_FormItem_isDisabled@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:1549
com_smartgwt_client_widgets_form_fields_FormItem_$isDisabled__Lcom_smartgwt_client_widgets_form_fields_FormItem_2Ljava_lang_Boolean_2@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:20751
org_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_$handleFocusChange__Lorg_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_2Lcom_smartgwt_client_widgets_form_fields_FormItem_2Lcom_smartgwt_client_widgets_form_fields_CheckboxItem_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:78006
com_smartgwt_client_widgets_form_fields_events_FocusEvent_$dispatch__Lcom_smartgwt_client_widgets_form_fields_events_FocusEvent_2Lcom_smartgwt_client_widgets_form_fields_events_FocusHandler_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:22367
com_smartgwt_client_widgets_form_fields_events_FocusEvent_dispatch__Lcom_google_gwt_event_shared_EventHandler_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:22376
com_google_web_bindery_event_shared_SimpleEventBus_$doFire__Lcom_google_web_bindery_event_shared_SimpleEventBus_2Lcom_google_web_bindery_event_shared_Event_2Ljava_lang_Object_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:4202
com_google_gwt_event_shared_HandlerManager_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager_2Lcom_google_gwt_event_shared_GwtEvent_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:4126
com_smartgwt_client_core_DataClass_fireEvent__Lcom_google_gwt_event_shared_GwtEvent_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:13643
@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:21077
com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:2735
com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:2773
@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:2758
isc_FormItem_elementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:1581
isc_DynamicForm_bubbleItemHandler@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:670
isc_DynamicForm_elementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:685
isc_FormItem__nativeElementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:1571
isc_c_Class_invokeSuper@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:284
isc_c_Class_Super@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:276
isc_TextItem__nativeElementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:2023
isc_c_FormItem___nativeFocusHandler@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:818
isc_c_FormItem__nativeFocusHandler@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:815

 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js
 lineNumber: 1549: this.form is null
   com.google.gwt.core.client.JavaScriptException:(TypeError) 
 stack: isc_FormItem_isDisabled@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:1549
com_smartgwt_client_widgets_form_fields_FormItem_$isDisabled__Lcom_smartgwt_client_widgets_form_fields_FormItem_2Ljava_lang_Boolean_2@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:20751
org_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_$handleFocusChange__Lorg_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_2Lcom_smartgwt_client_widgets_form_fields_FormItem_2Lcom_smartgwt_client_widgets_form_fields_CheckboxItem_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:78006
com_smartgwt_client_widgets_form_fields_events_FocusEvent_$dispatch__Lcom_smartgwt_client_widgets_form_fields_events_FocusEvent_2Lcom_smartgwt_client_widgets_form_fields_events_FocusHandler_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:22367
com_smartgwt_client_widgets_form_fields_events_FocusEvent_dispatch__Lcom_google_gwt_event_shared_EventHandler_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:22376
com_google_web_bindery_event_shared_SimpleEventBus_$doFire__Lcom_google_web_bindery_event_shared_SimpleEventBus_2Lcom_google_web_bindery_event_shared_Event_2Ljava_lang_Object_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:4202
com_google_gwt_event_shared_HandlerManager_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager_2Lcom_google_gwt_event_shared_GwtEvent_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:4126
com_smartgwt_client_core_DataClass_fireEvent__Lcom_google_gwt_event_shared_GwtEvent_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:13643
@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:21077
com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:2735
com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:2773
@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:2758
isc_FormItem_elementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:1581
isc_DynamicForm_bubbleItemHandler@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:670
isc_DynamicForm_elementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:685
isc_FormItem__nativeElementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:1571
isc_c_Class_invokeSuper@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:284
isc_c_Class_Super@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:276
isc_TextItem__nativeElementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:2023
isc_c_FormItem___nativeFocusHandler@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:818
isc_c_FormItem__nativeFocusHandler@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:815

 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js
 lineNumber: 1549: this.form is null
--- STACK TRACE FOLLOWS ---
Exception caught: (TypeError) 
 stack: isc_FormItem_isDisabled@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:1549
com_smartgwt_client_widgets_form_fields_FormItem_$isDisabled__Lcom_smartgwt_client_widgets_form_fields_FormItem_2Ljava_lang_Boolean_2@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:20751
org_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_$handleFocusChange__Lorg_rhq_enterprise_gui_coregui_client_components_configuration_ConfigurationEditor_2Lcom_smartgwt_client_widgets_form_fields_FormItem_2Lcom_smartgwt_client_widgets_form_fields_CheckboxItem_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:78006
com_smartgwt_client_widgets_form_fields_events_FocusEvent_$dispatch__Lcom_smartgwt_client_widgets_form_fields_events_FocusEvent_2Lcom_smartgwt_client_widgets_form_fields_events_FocusHandler_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:22367
com_smartgwt_client_widgets_form_fields_events_FocusEvent_dispatch__Lcom_google_gwt_event_shared_EventHandler_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:22376
com_google_web_bindery_event_shared_SimpleEventBus_$doFire__Lcom_google_web_bindery_event_shared_SimpleEventBus_2Lcom_google_web_bindery_event_shared_Event_2Ljava_lang_Object_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:4202
com_google_gwt_event_shared_HandlerManager_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager_2Lcom_google_gwt_event_shared_GwtEvent_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:4126
com_smartgwt_client_core_DataClass_fireEvent__Lcom_google_gwt_event_shared_GwtEvent_2V@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:13643
@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:21077
com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:2735
com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:2773
@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/2AB681FED10D6980DED6B17E0559474A.cache.html:2758
isc_FormItem_elementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:1581
isc_DynamicForm_bubbleItemHandler@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:670
isc_DynamicForm_elementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:685
isc_FormItem__nativeElementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:1571
isc_c_Class_invokeSuper@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:284
isc_c_Class_Super@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Core.js:276
isc_TextItem__nativeElementFocus@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:2023
isc_c_FormItem___nativeFocusHandler@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:818
isc_c_FormItem__nativeFocusHandler@http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js:815

 fileName: http://localhost:7080/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/sc/modules/ISC_Forms.js
 lineNumber: 1549: this.form is null
   at Unknown.java_lang_RuntimeException_RuntimeException__Ljava_lang_String_2Ljava_lang_Throwable_2V(Unknown Source)
   at Unknown.com_google_web_bindery_event_shared_UmbrellaException_UmbrellaException__Ljava_util_Set_2V(Unknown Source)
   at Unknown.com_google_gwt_event_shared_UmbrellaException_UmbrellaException__Ljava_util_Set_2V(Unknown Source)
   at Unknown.com_google_gwt_event_shared_HandlerManager_$fireEvent__Lcom_google_gwt_event_shared_HandlerManager_2Lcom_google_gwt_event_shared_GwtEvent_2V(Unknown Source)
   at Unknown.com_smartgwt_client_core_DataClass_fireEvent__Lcom_google_gwt_event_shared_GwtEvent_2V(Unknown Source)
   at Unknown.anonymous(Unknown Source)
   at Unknown.com_google_gwt_core_client_impl_Impl_apply__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown Source)
   at Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown Source)
   at Unknown.anonymous(Unknown Source)
   at Unknown.isc_FormItem_elementFocus(Unknown Source)
   at Unknown.isc_DynamicForm_bubbleItemHandler(Unknown Source)
   at Unknown.isc_DynamicForm_elementFocus(Unknown Source)
   at Unknown.isc_FormItem__nativeElementFocus(Unknown Source)
   at Unknown.isc_c_Class_invokeSuper(Unknown Source)
   at Unknown.isc_c_Class_Super(Unknown Source)
   at Unknown.isc_TextItem__nativeElementFocus(Unknown Source)
   at Unknown.isc_c_FormItem___nativeFocusHandler(Unknown Source)
   at Unknown.isc_c_FormItem__nativeFocusHandler(Unknown Source)
   at Unknown.anonymous(Unknown Source)

Expected results:
No exception should be thrown.

Additional info:

It seems that if we change only one value for instance change ajp from 8070 to 18070 - this will work fine, no exception message will be thrown at the top of the JBoss ON Server UI and save works fine.

However, if we change ajp from 8070 to 18070 and then navigate to edit http - so we click with the mouse on the 8080 value - then red background with message Globally Uncaught Exception [1] will be displayed in the parent window. 

Looking into rhq-server-log4j.log file, I can see the following messages:

2013-05-06 15:50:07,525 DEBUG [org.rhq.enterprise.server.configuration.ConfigurationManagerBean] 3 ____[ SimpleProperty[name] (Type: STRING) in PropertyDefinitionList[id=11749, name=*2, config=JBossAS7 Standalone Server, group=children:system-property:name+] ]____ not yet supported
2013-05-06 15:50:07,525 DEBUG [org.rhq.enterprise.server.configuration.ConfigurationManagerBean] 3 ____[ SimpleProperty[value] (Type: STRING) in PropertyDefinitionList[id=11749, name=*2, config=JBossAS7 Standalone Server, group=children:system-property:name+] ]____ not yet supported
2013-05-06 15:50:07,525 DEBUG [org.rhq.enterprise.server.configuration.ConfigurationManagerBean] 3 ____[ SimpleProperty[name] (Type: STRING) in PropertyDefinitionList[id=11753, name=*3, config=JBossAS7 Standalone Server, group=children:path:name+] ]____ not yet supported
2013-05-06 15:50:07,525 DEBUG [org.rhq.enterprise.server.configuration.ConfigurationManagerBean] 3 ____[ SimpleProperty[path] (Type: STRING) in PropertyDefinitionList[id=11753, name=*3, config=JBossAS7 Standalone Server, group=children:path:name+] ]____ not yet supported
2013-05-06 15:50:07,525 DEBUG [org.rhq.enterprise.server.configuration.ConfigurationManagerBean] 3 ____[ SimpleProperty[relative-to] (Type: STRING) in PropertyDefinitionList[id=11753, name=*3, config=JBossAS7 Standalone Server, group=children:path:name+] ]____ not yet supported
2013-05-06 15:50:07,525 DEBUG [org.rhq.enterprise.server.configuration.ConfigurationManagerBean] 3 ____[ SimpleProperty[read-only] (Type: BOOLEAN) in PropertyDefinitionList[id=11753, name=*3, config=JBossAS7 Standalone Server, group=children:path:name+] ]____ not yet supported
2013-05-06 15:50:07,525 DEBUG [org.rhq.enterprise.server.configuration.ConfigurationManagerBean] 3 ____[ SimpleProperty[module] (Type: STRING) in PropertyDefinitionList[id=11759, name=*1, config=JBossAS7 Standalone Server, group=children:extension:module] ]____ not yet supported


but no other Exception.

Customer has reported that they cannot save the change and it's not effective for them. However, in my testing, even with the "Globally Uncaught Exception", the values are properly changed and effective once the server is reloaded.
Comment 1 Larry O'Leary 2013-07-25 19:35:04 EDT

*** This bug has been marked as a duplicate of bug 859982 ***

Note You need to log in before you can comment on or make changes to this bug.